SYD-KEY(1)

NAME

syd-key - Utility to generate AES-CTR Key and IV

SYNOPSIS

syd-key [-h] -t <tag-str>

DESCRIPTION

The syd-key utility generates random 256-bit AES-CTR keys using Linux Kernel's random number generator. The key is printed as a hexadecimal string to standard output.

OPTIONS

-h | Display help.
-t <tag> | Read key-hex from standard input, derive a new key with HKDF using the given information tag.

SEE ALSO

syd(1), syd(2), syd(5), syd-aes(1)

syd homepage: https://sydbox.exherbolinux.org/

AUTHORS

Maintained by Ali Polatel. Up-to-date sources can be found at https://gitlab.exherbo.org/sydbox/sydbox.git and bugs/patches can be submitted to https://gitlab.exherbo.org/groups/sydbox/-/issues. Discuss in #sydbox on Libera Chat or in #sydbox:mailstation.de on Matrix.